VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   0  'None
   Caption         =   "Open Draft"
   ClientHeight    =   672
   ClientLeft      =   0
   ClientTop       =   -84
   ClientWidth     =   4668
   Icon            =   "Open Draft.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   672
   ScaleWidth      =   4668
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.Label Label1 
      Caption         =   "The draft will be open..."
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.8
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   720
      TabIndex        =   0
      Top             =   120
      Width           =   3372
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()

'**********************************************************************************************
'Title:         Open Draft (Open Draft.vbp)
'Description:   This program open the draft to the active model. The model can be an assembly,
'               a part, a part sheet metal or an weldment.
'               Only condition is: the model and the draft have the same filename AND they
'               are in the same directory.
'
'Author:        Hil
'Company:       Robatech
'Date:          17.01.2003
'Version:       1.0
'History:       1.1 - 28.02.03 If there exist no DFT-File create a new A3-Draft with the same name and insert
'               a Front - DrawingView
'**********************************************************************************************

    Dim i As Integer
    Dim objApp As Object
    Dim objDoc As Object
    Dim strFileName As String
    Dim strFileNameModel As String
    Dim strPath As String
    Dim objModelLinks As SolidEdgeDraft.ModelLinks
    Dim objModelLink As SolidEdgeDraft.ModelLink
    Dim strFileNames() As String
    
    'Get INI-File
    GetRTSettingsINIFile
    
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
      MsgBox "No open file"
    Else
      ' Open the document.
      Set objDoc = Nothing
      Set objDoc = objApp.ActiveDocument
    End If
    
    ' Generate Name of DFT
    strFileNameModel = objDoc.Name
    strPath = objDoc.Path
    strFileNames = Split(strFileNameModel, ".")
    For i = 0 To UBound(strFileNames) - 1
        strFileName = strFileName & strFileNames(i) & "."
    Next
    strFileName = strFileName & "dft"
    'strFileName = Left(strFileNameModel, (InStr(1, strFileNameModel, ".") - 1)) & ".dft"
    strFileNameModel = strPath & "\" & strFileNameModel
    strFileName = strPath & "\" & strFileName
    
    ' Open DFT-Application
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
    Set objApp = CreateObject("SolidEdge.Application")
    Set objDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    If FileExist(strFileName) Then
        ' Open the DFT-File
        Set objDoc = objApp.Documents.Open(strFileName)
    Else
        'MsgBox "There is no draft in the model - path or the draft has not the same filename! Would you create a new one?"
        If MsgBox("Keine Zeichnung im Modell-Pfad. Wollen Sie ein neues Draft erstellen?", vbYesNo) = vbYes Then
            Set objDoc = objApp.Documents.Open(GetIniString("Pfade", "vorlage", "", INIFile, 32767))
            Call objDoc.SaveAs(strFileName)
            Set objModelLinks = objDoc.ModelLinks
            'Add a model to the Document
            Set objModelLink = objModelLinks.Add(FileName:=strFileNameModel)
            Call objDoc.ActiveSheet.DrawingViews.Add(objModelLink, igFrontView, 1, 0.18, 0.18)
        End If
    End If
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objModelLinks = Nothing
    Set objModelLink = Nothing
    Unload Form1
End Sub

'Verify if a file exist on disk
Private Function FileExist(ByVal sFileName As String) As Boolean
    On Error GoTo NotAFileErr
    ' get the attributes and ensure that it isn't a directory
    FileExist = (GetAttr(sFileName) And vbDirectory) = 0
NotAFileErr:
    ' if an error occurs, this function returns False
    Err.Clear
End Function
